package com.hw.ems.base.service;

import com.hw.ems.base.domain.BaseMonitorInfo;
import com.hw.ems.base.domain.BaseTypeRelation;

import java.util.ArrayList;
import java.util.List;

/**
 * 计量设备信息Service接口
 *
 * @author hw
 * @date 2023-05-05
 */
public interface IBaseMonitorInfo1Service
{
    /**
     * 查询计量设备信息
     *
     * @param objid 计量设备信息主键
     * @return 计量设备信息
     */
    public BaseMonitorInfo selectBaseMonitorInfoByObjid(Long objid);

    /**
     * 查询计量设备信息列表
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 计量设备信息集合
     */
    public List<BaseMonitorInfo> selectBaseMonitorInfoList(BaseMonitorInfo baseMonitorInfo);

    /**
     * 新增计量设备信息
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 结果
     */
    public int insertBaseMonitorInfo(BaseMonitorInfo baseMonitorInfo);

    /**
     * 修改计量设备信息
     *
     * @param baseMonitorInfo 计量设备信息
     * @return 结果
     */
    public int updateBaseMonitorInfo(BaseMonitorInfo baseMonitorInfo);

    /**
     * 批量删除计量设备信息
     *
     * @param objids 需要删除的计量设备信息主键集合
     * @return 结果
     */
    public int deleteBaseMonitorInfoByObjids(Long[] objids);

    /**
     * 删除计量设备信息信息
     *
     * @param objid 计量设备信息主键
     * @return 结果
     */
    public int deleteBaseMonitorInfoByObjid(Long objid);

    public ArrayList<BaseTypeRelation> selectTypeSubset(Long type);

    public List<BaseMonitorInfo> selectMonitorSubsetList(BaseMonitorInfo baseMonitorInfo);
}
